For the complete documentation index, see llms.txt. This page is also available as Markdown.

get__v2_stats_storage

GET /v2/stats/storage

Get Storage Gateway Stats

Time-series for storage gateway metrics.

Parameters

Name
In
Type
Required
Description

scope

query

string

true

Scope level: org, workspace, or repo

id

query

string

false

Required when scope is workspace or repo

window

query

string

true

Time window, e.g. 24h, 7d, 30d

timeBucketSize

query

string

false

Time grouping size, e.g., 1h, 1d

bucketId

query

string

false

Filter by Storage Bucket ID

apiKeyId

query

string

false

Filter by Repo API Key ID

TypeScript Client Library

// Using the Flashgate TypeScript client
import { FlashgateClient } from '@flashgatetech/flashgateclient';

const client = new FlashgateClient({
  accessToken: 'your-access-token'
});

try {
  const result = await client.getStorageGatewayStats({
    scope: 'org',
    id: 'org-id',
    window: '24h'});
  console.log('Get Storage Gateway Stats:', result);
} catch (error) {
  console.error('Failed to retrieve get storage gateway stats:', error);
}

Code Samples

Example responses 200 Response

Responses

Status
Meaning
Description
Schema

200

Successful request

Inline

400

Invalid request parameters

Inline

500

Internal server error

Inline

Response Schema

Status Code 200

Name
Type
Required
Restrictions
Description

» success

boolean

true

none

Indicates if the request was successful

» meta

object

true

none

Metadata for the response

» summary

object

true

none

Statistical summary

» series

[object]

true

none

Array of time-series points

»» ts

integer

true

none

Unix timestamp

»» uplBytes

integer

true

none

Uploaded bytes

»» dwlBytes

integer

true

none

Downloaded bytes

»» sizeChange

integer

true

none

Net size change

»» latencyMs

number

true

none

Average latency in ms

»» requests

integer

true

none

Total requests

Status Code 400

Name
Type
Required
Restrictions
Description

» success

boolean

true

none

Always false for error responses

» message

string

true

none

Error message

Status Code 500

Name
Type
Required
Restrictions
Description

» success

boolean

true

none

Always false for error responses

» message

string

true

none

Error message

Last updated

Was this helpful?